Debian Bug report logs - #701613
ITP: python-oerplib -- client library to remotely pilot an OpenERP server

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "W. Martin Borgert" <debacle@debian.org>

Date: Mon, 25 Feb 2013 10:21:01 UTC

Owned by: python-modules-team@lists.alioth.debian.org

Severity: wishlist

Fixed in version python-oerplib/0.7.0-1

Done: debacle@debian.org (W. Martin Borgert)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, sebastien.alix@osiell.com, 638720@bugs.debian.org, wnpp@debian.org, python-modules-team@lists.alioth.debian.org:
Bug#701613; Package wnpp. (Mon, 25 Feb 2013 10:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, sebastien.alix@osiell.com, 638720@bugs.debian.org, wnpp@debian.org, python-modules-team@lists.alioth.debian.org. (Mon, 25 Feb 2013 10:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-oerplib -- client library to remotely pilot an OpenERP server
Date: Mon, 25 Feb 2013 11:00:20 +0100
Package: wnpp
Severity: wishlist
Owner: python-modules-team@lists.alioth.debian.org

Package name    : python-oerplib
Version         : 0.7.0
Upstream Author : Sébastien ALIX <sebastien.alix@osiell.com>
URL             : http://packages.python.org/OERPLib/
License         : LGPL3
Programming Lang: Python
Description     : client library to remotely pilot an OpenERP server
 Features supported:
  - `XML-RPC` and `Net-RPC` protocols,
  - access to all methods proposed by an `OpenERP` model class
    (even ``browse``) with an API similar to the server-side API,
  - ability to use named parameters with such methods (`OpenERP` >= `6.1`),
  - user context automatically sent (`OpenERP` >= `6.1`),
  - browse records,
  - execute workflows,
  - manage databases,
  - reports downloading.


Note: This client library is independent of packaging the OpenERP
server. It might, however, help in testing the server package.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-modules-team@lists.alioth.debian.org:
Bug#701613; Package wnpp. (Mon, 25 Feb 2013 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien ALIX <sebastien.alix@osiell.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-modules-team@lists.alioth.debian.org. (Mon, 25 Feb 2013 11:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 701613@bugs.debian.org (full text, mbox):

From: Sébastien ALIX <sebastien.alix@osiell.com>
To: "W. Martin Borgert" <debacle@debian.org>, 701613@bugs.debian.org
Subject: Re: Bug#701613: ITP: python-oerplib -- client library to remotely pilot an OpenERP server
Date: Mon, 25 Feb 2013 12:05:36 +0100
Hi Martin, and thanks!

I didn't expect an ITP bug as quickly.

If it helps, my Debian source package can be found here:
https://code.launchpad.net/~oerplib/oerplib/0.6-debian
That's for the 0.6 release, but it should be the same for the 0.7.
How can I help otherwise?

Regards,


Le Mon, 25 Feb 2013 11:00:20 +0100,
"W. Martin Borgert" <debacle@debian.org> a écrit :

> Package: wnpp
> Severity: wishlist
> Owner: python-modules-team@lists.alioth.debian.org
> 
> Package name    : python-oerplib
> Version         : 0.7.0
> Upstream Author : Sébastien ALIX <sebastien.alix@osiell.com>
> URL             : http://packages.python.org/OERPLib/
> License         : LGPL3
> Programming Lang: Python
> Description     : client library to remotely pilot an OpenERP server
>  Features supported:
>   - `XML-RPC` and `Net-RPC` protocols,
>   - access to all methods proposed by an `OpenERP` model class
>     (even ``browse``) with an API similar to the server-side API,
>   - ability to use named parameters with such methods (`OpenERP` >=
> `6.1`),
>   - user context automatically sent (`OpenERP` >= `6.1`),
>   - browse records,
>   - execute workflows,
>   - manage databases,
>   - reports downloading.
> 
> 
> Note: This client library is independent of packaging the OpenERP
> server. It might, however, help in testing the server package.



-- 
Sébastien ALIX
ABF Osiell
Immeuble Oméga
Rue Jean-Marie David
35740 PACÉ
Tél: 09 72 36 91 08
E-mail: *sebastien.alix@osiell.com <mailto:sebastien.alix@osiell.com>
Site: *http://www.osiell.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-modules-team@lists.alioth.debian.org:
Bug#701613; Package wnpp. (Mon, 25 Feb 2013 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-modules-team@lists.alioth.debian.org. (Mon, 25 Feb 2013 13:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 701613@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: "Sébastien ALIX" <sebastien.alix@osiell.com>
Cc: 701613@bugs.debian.org
Subject: Re: Bug#701613: ITP: python-oerplib -- client library to remotely pilot an OpenERP server
Date: Mon, 25 Feb 2013 13:59:07 +0100
Quoting "Sébastien ALIX" <sebastien.alix@osiell.com>:
> If it helps, my Debian source package can be found here:
> https://code.launchpad.net/~oerplib/oerplib/0.6-debian
> That's for the 0.6 release, but it should be the same for the 0.7.
> How can I help otherwise?

I think, I will just use your debian dir and only change things,
if necessary. You could help, of course, in testing the package,
when it is ready and file bugs. Having the upstream developer
themselves testing the package is pure gold!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-modules-team@lists.alioth.debian.org:
Bug#701613; Package wnpp. (Tue, 26 Feb 2013 23:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-modules-team@lists.alioth.debian.org. (Tue, 26 Feb 2013 23:51:08 GMT) Full text and rfc822 format available.

Message #20 received at 701613@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: Sébastien ALIX <sebastien.alix@osiell.com>, 701613@bugs.debian.org
Subject: ITP: python-oerplib -- client library to remotely pilot an OpenERP server
Date: Wed, 27 Feb 2013 00:43:03 +0100
The packaging code is now here:
svn://svn.debian.org/python-modules/packages/python-oerplib/trunk/
http://svn.debian.org/viewsvn/python-modules/packages/python-oerplib/trunk/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, python-modules-team@lists.alioth.debian.org:
Bug#701613; Package wnpp. (Thu, 28 Feb 2013 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien ALIX <sebastien.alix@osiell.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, python-modules-team@lists.alioth.debian.org. (Thu, 28 Feb 2013 08:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 701613@bugs.debian.org (full text, mbox):

From: Sébastien ALIX <sebastien.alix@osiell.com>
To: "W. Martin Borgert" <debacle@debian.org>
Cc: 701613@bugs.debian.org
Subject: Re: ITP: python-oerplib -- client library to remotely pilot an OpenERP server
Date: Thu, 28 Feb 2013 09:37:30 +0100
Thanks, I will test it once the package will be available in the
archive.


Le Wed, 27 Feb 2013 00:43:03 +0100,
"W. Martin Borgert" <debacle@debian.org> a écrit :

> The packaging code is now here:
> svn://svn.debian.org/python-modules/packages/python-oerplib/trunk/
> http://svn.debian.org/viewsvn/python-modules/packages/python-oerplib/trunk/



-- 
Sébastien ALIX
ABF Osiell
Immeuble Oméga
Rue Jean-Marie David
35740 PACÉ, FRANCE
Tél: 09 72 36 91 08
E-mail: sebastien.alix@osiell.com
Site: http://www.osiell.com



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 02 Mar 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to debacle@debian.org (W. Martin Borgert):
You have taken responsibility. (Fri, 12 Apr 2013 23:03:58 GMT) Full text and rfc822 format available.

Notification sent to "W. Martin Borgert" <debacle@debian.org>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 23:03:58 GMT) Full text and rfc822 format available.

Message #32 received at 701613-close@bugs.debian.org (full text, mbox):

From: debacle@debian.org (W. Martin Borgert)
To: 701613-close@bugs.debian.org
Subject: Bug#701613: fixed in python-oerplib 0.7.0-1
Date: Fri, 12 Apr 2013 23:00:05 +0000
Source: python-oerplib
Source-Version: 0.7.0-1

We believe that the bug you reported is fixed in the latest version of
python-oerplib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701613@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
W. Martin Borgert <debacle@debian.org> (supplier of updated python-oerplib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 26 Feb 2013 23:09:50 +0000
Source: python-oerplib
Binary: python-oerplib python-oerplib-doc
Architecture: source all
Version: 0.7.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: W. Martin Borgert <debacle@debian.org>
Description: 
 python-oerplib - Python client library to OpenERP server
 python-oerplib-doc - Python client library to OpenERP server (documentation)
Closes: 701613
Changes: 
 python-oerplib (0.7.0-1) unstable; urgency=low
 .
   * Initial package for Debian (Closes: #701613).
Checksums-Sha1: 
 981eca47307f1cd0c6e3b627db39aecdcdbe7427 1465 python-oerplib_0.7.0-1.dsc
 c151a45d5fdb3cb37238001ff28f5cef67016f42 48726 python-oerplib_0.7.0.orig.tar.gz
 6cc567c462dc5d62c7210b56bf6a60248275b7b7 2033 python-oerplib_0.7.0-1.debian.tar.gz
 1ab95abea1eba6c7a40bb064443a5af45a36d195 26004 python-oerplib_0.7.0-1_all.deb
 3aa795d980ad32a29a12ad477608f2b886b3cc1f 68512 python-oerplib-doc_0.7.0-1_all.deb
Checksums-Sha256: 
 34e5d0db9f90709d1f809efd33bd947c40b333b5c9d06593b19df6b1e57c4e61 1465 python-oerplib_0.7.0-1.dsc
 7d0e79140d741e06ecede16010ee7ad2ce83bc0da30120f0b7d37e7fb05f1698 48726 python-oerplib_0.7.0.orig.tar.gz
 8d5400ba5f9ac0acc6324cc701a4cc85da42bc29a407ef9afcda89d5bee44866 2033 python-oerplib_0.7.0-1.debian.tar.gz
 d3d2051eb4ad43b04e5167bb3a6e358b2f9154a8df0e8732f4607d95c2251599 26004 python-oerplib_0.7.0-1_all.deb
 7d93792ae9ae21b87cb51a8b2a3b562c7a05dd97ed0968b62988cda8d77aee9d 68512 python-oerplib-doc_0.7.0-1_all.deb
Files: 
 f119b33dc5949db0133f4b5e1c2db94f 1465 python optional python-oerplib_0.7.0-1.dsc
 ba83d8e380843b7952f7c8dc2b2481e6 48726 python optional python-oerplib_0.7.0.orig.tar.gz
 38e9be08cf8319b2c39035635bc32009 2033 python optional python-oerplib_0.7.0-1.debian.tar.gz
 28794c0c3d405d2cf44ca2b4f30e579f 26004 python optional python-oerplib_0.7.0-1_all.deb
 9ef61e94472c898124ba4dbb8d40a5f3 68512 doc optional python-oerplib-doc_0.7.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEx34oACgkQ+xM0OFfj6IgUYwCgiTIunOZ3qreLnHOrk5QnpFab
w+0AoI+nzKLL7xsFA+euhlev4buvtLPl
=AgJL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:27:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:57:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.